com.sun.jna.platform.win32

## Class WinNT.UNKNOWN_RELATIONSHIP

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX
    - - com.sun.jna.platform.win32.WinNT.UNKNOWN_RELATIONSHIP

Enclosing interface:
  WinNT

    @Structure.FieldOrder(value={})
    public static class WinNT.UNKNOWN_RELATIONSHIP
    extends WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX

Represents information associated with a `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP` enum value which has not yet been mapped. Only the fields from `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX` are populated.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

### Fields inherited from class com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX

`relationship, size`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`UNKNOWN_RELATIONSHIP()`
`UNKNOWN_RELATIONSHIP(Pointer memory)`

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX

`fromPointer`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UNKNOWN_RELATIONSHIP

    public UNKNOWN_RELATIONSHIP()

#### UNKNOWN_RELATIONSHIP

    public UNKNOWN_RELATIONSHIP(Pointer memory)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.